<script setup lang="ts">
import { ref, onMounted } from "vue";
import { useVModel } from "@vueuse/core";
import RemoteSelect from "/@/components/RemoteSelect";
import { httpCompanylist } from "/@/api/netOrderEnter/netOrderEntry";

const props = defineProps<{
  modelValue?: string;
  disabled?: boolean;
  size: string
}>();

const emits = defineEmits(['change']);

const value = useVModel(props, "modelValue");

const RemoteSelectRef = ref<InstanceType<typeof RemoteSelect> | null>(null);

onMounted(() => {
  value.value && (RemoteSelectRef.value as any).initalData(value.value);
});

defineExpose({
  initalData: data => (RemoteSelectRef.value as any).initalData(data)
});
</script>

<template>
  <RemoteSelect
    :size="size"
    ref="RemoteSelectRef"
    :disabled="disabled"
    v-model="value"
    style="width: 100%"
    :api="httpCompanylist"
    request-prop="company_name"
    response-label-prop="company_name"
    response-val-prop="companyNo"
    @item-change="emits('change')"
    @clear="emits('change')"
  />
</template>
